package contents;

import jp.ac.naka.ec.EntityCollaborator;
import jp.ac.naka.ec.entity.test.ButtonEntity;
import jp.ac.naka.ec.entity.test.SliderEntity;

public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		EntityCollaborator ec = EntityCollaborator.getInstance();
		ParticlesEntity particle = new ParticlesEntity();
		SliderEntity slider = new SliderEntity();
		ButtonEntity button = new ButtonEntity();
		button.setMessage("reset");
		ec.addEntity(particle);
		ec.addEntity(slider);
		ec.addEntity(button);
	}
}
